DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# MeasurementFeatureRegistryFeatureNeedsIntensityImage

Checks whether the measurement function needs an intensity image

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error dip_MeasurementFeatureRegistryFeatureNeedsIntensityImage ( featureID, veredict )

## FUNCTION

This function sets `veredict` to `DIP_TRUE` if the measurement feature specified by `featureID` requires a grey-value image, or `DIP_FALSE` otherwise.

## ARGUMENTS

Data type | Name | Description
`dip_int` | `featureID` | Measurement feature ID
`dip_Boolean *` | `veredict` | Return value

## SEE ALSO

`Measure`, `MeasurementFeatureRegister`, `MeasurementFeatureRegistryList`, `MeasurementFeatureRegistryGet`, `MeasurementFeatureRegistryFeatureDescription`, `MeasurementFeatureValid`, `MeasurementFeatureDescription`, `MeasurementObjectData`, `MeasurementObjectValue`